From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 4 June 2014<P>

sounds super, shall we start?<BR>
and yes, GoT certainly is addictive. I read the books first and then started watching, just watched the last episode and that ending!! Still reeling.
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 4 June 2014<P>

Yes let's... that is if I can move the muse out of forget it mode.<BR>
<BR>
Let me get some coffee and think about it. <BR>
<BR>
I doubt I could handle the books GoT...I am told they are vivid. Are you watching Orphan Black? Funny how regular tv becomes only something to sleep to. <BR>
<BR>
bk<BR>

<HR>
From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 4 June 2014<P>

no, not watching that. I don't really watch anything, only read usually, but started watching GoT for a change since everyone - including those who read the books - was talking about how good it was.
<HR>
From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 4 June 2014<P>

the books are excellent, cannot put them down!
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 4 June 2014<P>

Orphan Black is about clones. I went through the first season like popcorn. I was thinking this morning there are few shows you just can't wait to see the next season of, Doc Martin comes to mind and GoT,  Orphan Black. Anyone got any better programs I need to check out??<BR>
<BR>
bk
<HR>